Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230809 - Need /usr/lib/libgnat.so
Summary: Need /usr/lib/libgnat.so
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-03 00:06 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-03 07:48:07 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-03-03 00:06:00 UTC
Description of problem:

gcc-gnat 4.1.1 on FC6 provides /usr/lib/libgnat.so.  It doesn't in development.
 Is this intentional?  Perhaps we need a libgnat-devel?

Version-Release number of selected component (if applicable):
4.1.2-3

Comment 1 Jakub Jelinek 2007-03-03 07:48:07 UTC
That's not true, FC6 doesn't have /usr/lib{,64}/libgnat.so either, and
intentionally not so.  libgnag.so symlink is in gcc-gnat package, in
/usr/lib/gcc/*/4.1.*/adalib/, because it is inherently gcc version dependent.
If you use the right tools to build Ada programs (see info gnat, e.g. gnatmake
etc.) it will work just fine.


Note You need to log in before you can comment on or make changes to this bug.